
void generate_data(double * x, int * perm, int l, int l_start, int l_end, int n_start, int n_end)
{

  int i, s, p;
  double z;
  z = .1313;
  for (i = 0 ; i < l_start ; i++) /* skip values for previous nodes */
    z = 4.0 * z * (1.0 - z);

  for (i = 0 ; i < l_end - l_start ; i++) /* generate values for this node */
  {
       x[i] = z - 0.5;
       z = 4.0 * z * (1.0 - z);     
  }

  /*** Fill index array ***/
  /* skip values for previous nodes */

  for (p = .1313 * l, s = -l, i = 0 ; i < n_start ; i++, s += 2)
    p = (p + s + l) % l;

  for (i = 0 ; i < n_end - n_start ; i++, s += 2) /* generate values for this node */
  {
    perm[i] = p;
    p = (p + s + l) % l;
  }
}
