/*
LIP library -runtime support for irregular and out-of-core problems
File liptools.h
Creted by Maciej Malawski 19.11.1999
*/

#ifndef LIPTOOLS_H
#define LIPTOOLS_H

#define ABS(x) ((x)<0?-(x):(x))

int log2(unsigned int n);

unsigned int prime_round_up(unsigned int n);

int hash_query (int key, int * hash_index, int * empty, int * htab_vals, int * htab_keys, int htab_size);

#define HASH_EMPTY -2
#define HASH_RESERVED -1

#endif /* LIPTOOLS_H */
