/* -*-Java-*- */

package mpi;

import pl.edu.agh.icsr.janet.tools.DataEncapsulator;

public class Info extends DataEncapsulator {
native "C" {
#include <mpi.h>
#include <mpio.h>
}

  public Info() {
    init();
  }

  private native "C" void init() {
    MPI_Info newinfo;
    MPI_Info_create(&newinfo);
    `this.data = #(newinfo)`;
  }

  public native "C" int set(String key, String value) {
    MPI_Info_set((MPI_Info)`this.data`, (char*)`#&key`, (char*)`#&value`);
  }

  protected native void freeNative() {
    MPI_Info info = (MPI_Info)`this.data`;
    MPI_Info_free(&info);
    `this.data = #(info)`;
  }

  final long getData() { return data; }

}
