
package pl.edu.agh.icsr.lip;

public class LipException extends RuntimeException {
    public LipException(String s) {
	super(s);
    }
    
    public LipException(int retcode) {
	super(errmsgs[retcode]);
    }

    private final static String[] errmsgs = {
	null,
	"Unknown error",
	"Out of memory",
	"Operation is not supported",
	"Invalid argument",
	"Too many handles",
	"Operation not commited" 
    };
}
