#ifndef SCHEDULEOOC_H
#define SCHEDULEOOC_H

#include <lip.h>
#include <mpi.h>

typedef LIP_Handle LIP_Schedule_ooc;

typedef struct {
     MPI_File file; 
     char * fname;    
} LIP_ISchedule_ooc;

int LIP_OOC_Schedule_create (LIP_Schedule_ooc * so);
int LIP_OOC_Schedule_write (LIP_Schedule s, LIP_Schedule_ooc * so);
int LIP_OOC_Schedule_reset (LIP_Schedule_ooc * s);
int LIP_OOC_Schedule_read (LIP_Schedule s, LIP_Schedule_ooc * so);
int LIP_OOC_Schedule_free (LIP_Schedule_ooc * so);
LIP_ISchedule_ooc * LIP_OOC_Schedule_convert(LIP_Schedule_ooc s);



#endif

