/*LIP library 
 * file debug.c - contains functions used for debugging
 * created by Katarzyna Zajac
 */
 
#include <stdlib.h>
#include <string.h>
#include <mpi.h>
#include <lip.h>
#include <lipimpl.h>
#include <correct.h>
#include <debug.h>
/*debug files creation  each rank has its own file*/
int LIP_DEBUG_create_file (){
  char nazwa[15];
  sprintf(nazwa,"deb%d.txt",LIP_env.rank);  
  debf=fopen((char*)nazwa,"w");
  if (debf==NULL) {return LIP_ERROR;}
  return LIP_SUCCESS;
}
/*getting the file handler*/
FILE* LIP_DEBUG_get_file(){
 return debf;
}
/*closing files*/
int LIP_DEBUG_close_file(){
 fclose(debf);
 return LIP_SUCCESS; 
}
